# git-applypatch(1) Manual Page

## NAME

git-applypatch - Apply one patch extracted from an e-mail

## SYNOPSIS

git-applypatch <msg> <patch> <info> [<signoff>]

## DESCRIPTION

This is usually not what an end user wants to run directly. See git-am(1) instead.

Takes three files <msg>, <patch>, and <info> prepared from an e-mail message by git-mailinfo, and creates a commit. It is usually not necessary to use this command directly.

This command can run `applypatch-msg`, `pre-applypatch`, and `post-applypatch` hooks. See hooks for more information.

## OPTIONS

<msg>

  Commit log message (sans the first line, which comes from e-mail Subject stored in <info>).

<patch>

  The patch to apply.

<info>

  Author and subject information extracted from e-mail, used on "author" line and as the first line of the commit log message.

## Author

Written by Linus Torvalds <torvalds@osdl.org>

## Documentation

Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.

## GIT

Part of the git(7) suite